﻿using System.ComponentModel.Composition;
using Microsoft.VisualStudio.Text.Editor;
using Microsoft.VisualStudio.Utilities;

namespace ZoomAtMouse
{
    [Export(typeof(IKeyProcessorProvider))]
    [ContentType("text")]
    [TextViewRole(PredefinedTextViewRoles.Zoomable)]
    [Order(Before = "default")]
    [Name("Zoom Key Handler")]
    internal class KeyboardExtensionFactory : IKeyProcessorProvider
    {
        public KeyProcessor GetAssociatedProcessor(IWpfTextView wpfTextView)
        {
            return new KeyboardExtension(wpfTextView);
        }
    }
}
