﻿using System;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;
using Microsoft.VisualStudio.Shell;
using System.Runtime.InteropServices;

namespace ZoomAtMouse
{
    [Guid("7C1EB372-D3B0-4358-9238-CA2EA70881EF")]
    public class OptionsPage : DialogPage
    {
        [Browsable(false), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)]
        protected override IWin32Window Window
        {
            get
            {
                OptionsControl optionsControl = new OptionsControl();
                return optionsControl;
            }
        }

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public bool EnableScroll
        {
            get
            {
                return Settings.ScrollOverrideEnabled;
            }
            set
            {
                Settings.ScrollOverrideEnabled = value;
            }
        }


        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public decimal ScrollPercent
        {
            get
            {
                return Settings.ScrollOverridePercentage;
            }
            set
            {
                Settings.ScrollOverridePercentage = value;
            }
        }
    }
}
